<%@ Control Language="C#" Inherits="Imbibe.Dnn.CachingProvider.OutputCache.Settings" AutoEventWireup="false" Explicit="True" CodeBehind="Settings.ascx.cs" %>

<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Web.UI.WebControls" Assembly="DotNetNuke.Web" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<style type="text/css">
    .dnnTabsModule .CacheDurationInfo .dnnFormMessage {
        display: block;
        overflow: hidden;
        margin-top: 0.5em;
        margin-left: 34.5%;
    }

    .dnnTabsModule .CacheDurationInfo {
        overflow: hidden;
        width: 75%;
    }

    .lblOutputCacheHeaderNote,
    .lblOutputCacheCookieNote {
        font-weight: bold;
    }
</style>

<script type="text/javascript">
    $(document).ready(function () {
        $('#divCacheSettings').dnnTabs().dnnPanels();
    });
</script>

<div id="divCacheSettings" class="dnnForm dnnClear">
	<ul class="dnnAdminTabNav dnnClear">
		<li id="lnkOutputCacheSettings" runat="server"><a href="#divOutputCacheSettings"><%=LocalizeString("OutputCacheSettings")%></a></li>
		<li id="lnkViewStateCacheSettings" runat="server"><a href="#divViewStateCacheSettings"><%=LocalizeString("ViewStateCacheSettings")%></a></li>
		<li id="lnkLicenseInfo" runat="server"><a href="#divLicenseInfo"><%=LocalizeString("LicenseInfo")%></a></li>
	</ul>

    <div id="divOutputCacheSettings" class="dnnClear">
        <div class="dnnFormItem">
            <dnn:label runat="server" id="lblCacheProvider" controlname="comboCacheProvider" resourcekey="lblCacheProvider" helpkey="lblCacheProvider.Help" />
            <asp:DropDownList runat="server" id="comboCacheProvider" autopostback="true" datavaluefield="Key" datatextfield="Key" causesvalidation="False" />
        </div>

        <div runat="server" id="rowCacheStatus" visible="false" class="dnnFormItem">
            <dnn:label runat="server" id="lblCacheStatus" resourcekey="lblCacheStatus" helpkey="lblCacheStatus.Help" />
            <asp:Label runat="server" ID="lblCachedItemCount" />
            <asp:LinkButton runat="server" ID="btnClearPortalCache" CssClass="dnnSecondaryAction" resourcekey="btnClearPortalCache" />
            <%--&nbsp;|&nbsp;
            <asp:LinkButton runat="server" ID="btnClearAllPageCache" CssClass="dnnSecondaryAction" resourcekey="btnClearAllPageCache" />--%>
        </div>

        <div id="rowCacheDuration" runat="server" visible="false" class="dnnFormItem">
            <dnn:label runat="server" id="lblCacheDuration" controlname="txtCacheDuration" resourcekey="lblCacheDuration" helpkey="lblCacheDuration.Help" />
            <asp:TextBox runat="server" ID="txtCacheDuration" />
            <asp:CompareValidator runat="server" ID="ctlCacheTimeValidator" ControlToValidate="txtCacheDuration" Operator="DataTypeCheck" Type="Integer" Display="Dynamic" resourcekey="ctlCacheTimeValidator.ErrorMessage" CssClass="dnnFormMessage dnnFormError" />
            <div class="CacheDurationInfo dnnClear">
                <asp:Label runat="server" ID="lblCacheDurationInfo" Visible="false" ResourceKey="lblCacheDurationInfo.Text" CssClass="dnnFormMessage dnnFormWarning" Width="200px" />
            </div>
        </div>

        <h2 class="dnnFormSectionHead"><a href="#"><%=LocalizeString("ParamsVariation")%></a></h2>
        <fieldset class="dnnClear">
            <div runat="server" id="rowCacheIncludeExclude" visible="false" class="dnnFormItem">
                <dnn:label runat="server" id="lblCacheIncludeExclude" controlname="rblCacheIncludeExclude" resourcekey="lblCacheIncludeExclude" helpkey="lblCacheIncludeExclude.Help" />
                <asp:RadioButtonList runat="server" ID="rblCacheIncludeExclude" AutoPostBack="true" CssClass="dnnFormRadioButtons" RepeatLayout="Flow">
                    <asp:ListItem Text="Exclude" Value="0" />
                    <asp:ListItem Text="Include" Value="1" />
                </asp:RadioButtonList>
            </div>

            <div runat="server" id="rowIncludeVaryBy" visible="false" class="dnnFormItem">
                <dnn:label runat="server" id="lblIncludeVaryBy" controlname="txtIncludeVaryBy" resourcekey="lblIncludeVaryBy" helpkey="lblIncludeVaryBy.Help" />
                <asp:TextBox runat="server" ID="txtIncludeVaryBy" />
            </div>

            <div runat="server" id="rowExcludeVaryBy" visible="false" class="dnnFormItem">
                <dnn:label runat="server" id="lblExcludeVaryBy" controlname="txtExcludeVaryBy" resourcekey="lblExcludeVaryBy" helpkey="lblExcludeVaryBy.Help" />
                <asp:TextBox runat="server" ID="txtExcludeVaryBy" />
            </div>

            <div runat="server" id="rowMaxVaryByCount" visible="false" class="dnnFormItem">
                <dnn:label runat="server" id="lblMaxVaryByCount" controlname="txtMaxVaryByCount" resourcekey="lblMaxVaryByCount" helpkey="lblMaxVaryByCount.Help" />
                <asp:TextBox runat="server" ID="txtMaxVaryByCount" />
                <asp:CompareValidator runat="server" ID="ctlMaxVaryByCountValidator" ControlToValidate="txtMaxVaryByCount" Operator="DataTypeCheck" Type="Integer" Display="Dynamic" resourcekey="ctlMaxVaryByCountValidator.ErrorMessage" />
            </div>
        </fieldset>

        <h2 class="dnnFormSectionHead"><a href="#"><%=LocalizeString("ResponseHeaders")%></a></h2>
        <fieldset class="dnnClear">
            <div runat="server" class="dnnFormItem">
                <asp:Label runat="server" ID="lblOutputCacheHeaderNote" resourcekey="lblOutputCacheHeaderNote" CssClass="lblOutputCacheHeaderNote" />
                <br /><br /><br />
            </div>

            <div runat="server" id="rowOutputCacheHeaderIncludeExclude" class="dnnFormItem">
                <dnn:label runat="server" id="lblOutputCacheHeaderIncludeExclude" controlname="rblOutputCacheHeaderIncludeExclude" resourcekey="lblOutputCacheHeaderIncludeExclude" helpkey="lblOutputCacheHeaderIncludeExclude.Help" />
                <asp:RadioButtonList runat="server" ID="rblOutputCacheHeaderIncludeExclude" AutoPostBack="true" CssClass="dnnFormRadioButtons" RepeatLayout="Flow">
                    <asp:ListItem Text="Exclude" Value="0" />
                    <asp:ListItem Text="Include" Value="1" />
                </asp:RadioButtonList>
            </div>

            <div runat="server" id="rowOutputCacheHeaderInclude" class="dnnFormItem">
                <dnn:label runat="server" id="lblOutputCacheHeaderInclude" controlname="txtOutputCacheHeaderInclude" resourcekey="lblOutputCacheHeaderInclude" helpkey="lblOutputCacheHeaderInclude.Help" />
                <asp:TextBox runat="server" ID="txtOutputCacheHeaderInclude" TextMode="MultiLine" />
            </div>

            <div runat="server" id="rowOutputCacheHeaderExclude" class="dnnFormItem">
                <dnn:label runat="server" id="lblOutputCacheHeaderExclude" controlname="txtOutputCacheHeaderExclude" resourcekey="lblOutputCacheHeaderExclude" helpkey="lblOutputCacheHeaderExclude.Help" />
                <asp:TextBox runat="server" ID="txtOutputCacheHeaderExclude" TextMode="MultiLine" />
            </div>
        </fieldset>

        <h2 class="dnnFormSectionHead"><a href="#"><%=LocalizeString("ResponseCookies")%></a></h2>
        <fieldset class="dnnClear">
            <div runat="server" class="dnnFormItem">
                <asp:Label runat="server" ID="lblOutputCacheCookieNote" resourcekey="lblOutputCacheCookieNote" CssClass="lblOutputCacheCookieNote" />
                <br /><br /><br />
            </div>

            <div runat="server" id="rowOutputCacheCookieIncludeExclude" class="dnnFormItem">
                <dnn:label runat="server" id="lblOutputCacheCookieIncludeExclude" controlname="rblOutputCacheCookieIncludeExclude" resourcekey="lblOutputCacheCookieIncludeExclude" helpkey="lblOutputCacheCookieIncludeExclude.Help" />
                <asp:RadioButtonList runat="server" ID="rblOutputCacheCookieIncludeExclude" AutoPostBack="true" CssClass="dnnFormRadioButtons" RepeatLayout="Flow">
                    <asp:ListItem Text="Exclude" Value="0" />
                    <asp:ListItem Text="Include" Value="1" />
                </asp:RadioButtonList>
            </div>

            <div runat="server" id="rowOutputCacheCookieInclude" class="dnnFormItem">
                <dnn:label runat="server" id="lblOutputCacheCookieInclude" controlname="txtOutputCacheCookieInclude" resourcekey="lblOutputCacheCookieInclude" helpkey="lblOutputCacheCookieInclude.Help" />
                <asp:TextBox runat="server" ID="txtOutputCacheCookieInclude" TextMode="MultiLine" />
            </div>

            <div runat="server" id="rowOutputCacheCookieExclude" class="dnnFormItem">
                <dnn:label runat="server" id="lblOutputCacheCookieExclude" controlname="txtOutputCacheCookieExclude" resourcekey="lblOutputCacheCookieExclude" helpkey="lblOutputCacheCookieExclude.Help" />
                <asp:TextBox runat="server" ID="txtOutputCacheCookieExclude" TextMode="MultiLine" />
            </div>
        </fieldset>

        <ul class="dnnActions dnnClear">
            <li>
                <asp:Button runat="server" ID="cmdUpdate" resourcekey="cmdUpdate" CssClass="dnnPrimaryAction" />
            </li>
        </ul>
    </div>

    <div id="divViewStateCacheSettings" class="dnnClear">
        <div class="dnnFormItem">
            <dnn:label runat="server" id="lblViewStateCacheProvider" controlname="comboViewStateCacheProvider" resourcekey="lblViewStateCacheProvider" helpkey="lblViewStateCacheProvider.Help" />
            <asp:DropDownList runat="server" id="comboViewStateCacheProvider" autopostback="true" datavaluefield="Key" datatextfield="Key" causesvalidation="False" />
        </div>

        <div runat="server" id="rowViewStateEnableAnonymous" runat="server" class="dnnFormItem">
            <dnn:label runat="server" id="lblViewStateEnableAnonymous" controlname="chkViewStateEnableAnonymous" resourcekey="lblViewStateEnableAnonymous" helpkey="lblViewStateEnableAnonymous.Help" />
            <asp:CheckBox runat="server" ID="chkViewStateEnableAnonymous" />
        </div>

        <div runat="server" id="rowViewStateEnableAuth" class="dnnFormItem">
            <dnn:label runat="server" id="lblViewStateEnableAuth" controlname="chkViewStateEnableAuth" resourcekey="lblViewStateEnableAuth" helpkey="lblViewStateEnableAuth.Help" />
            <asp:CheckBox runat="server" ID="chkViewStateEnableAuth" />
        </div>

        <div runat="server" id="rowViewStateEnablePortalAdmin" class="dnnFormItem">
            <dnn:label runat="server" id="lblViewStateEnablePortalAdmin" controlname="chkViewStateEnablePortalAdmin" resourcekey="lblViewStateEnablePortalAdmin" helpkey="lblViewStateEnablePortalAdmin.Help" />
            <asp:CheckBox runat="server" ID="chkViewStateEnablePortalAdmin" />
        </div>

        <div runat="server" id="rowViewStateEnableHost" class="dnnFormItem">
            <dnn:label runat="server" id="lblViewStateEnableHost" controlname="chkViewStateEnableHost" resourcekey="lblViewStateEnableHost" helpkey="lblViewStateEnableHost.Help" />
            <asp:CheckBox runat="server" ID="chkViewStateEnableHost" />
        </div>

        <div runat="server" id="rowViewStateSessionHistoryCount" class="dnnFormItem">
            <dnn:label runat="server" id="lblViewStateSessionHistoryCount" controlname="txtViewStateSessionHistoryCount" resourcekey="lblViewStateSessionHistoryCount" helpkey="lblViewStateSessionHistoryCount.Help" />
            <asp:Textbox runat="server" ID="txtViewStateSessionHistoryCount" />
        </div>

        <div runat="server" id="rowViewStateExpiryMinutes" class="dnnFormItem">
            <dnn:label runat="server" id="lblViewStateExpiryMinutes" controlname="txtViewStateExpiryMinutes" resourcekey="lblViewStateExpiryMinutes" helpkey="lblViewStateExpiryMinutes.Help" />
            <asp:Textbox runat="server" ID="txtViewStateExpiryMinutes" />
        </div>

        <ul class="dnnActions dnnClear">
            <li>
                <asp:Button runat="server" ID="cmdUpdateViewState" resourcekey="cmdUpdateViewState" CssClass="dnnPrimaryAction" />
            </li>
        </ul>
    </div>

    <div id="divLicenseInfo" class="dnnClear">
        <div class="dnnFormItem">
            <dnn:label runat="server" id="lblLicenseInfoName" controlname="lblLicenseInfoNameVal" resourcekey="lblLicenseInfoName" helpkey="lblLicenseInfoName.Help" />
            <asp:Label runat="server" ID="lblLicenseInfoNameVal" />
        </div>

        <div runat="server" class="dnnFormItem">
            <dnn:label runat="server" id="lblLicenseInfoEmail" controlname="lblLicenseInfoEmailVal" resourcekey="lblLicenseInfoEmail" helpkey="lblLicenseInfoEmail.Help" />
            <asp:Label runat="server" ID="lblLicenseInfoEmailVal" />
        </div>

        <div class="dnnFormItem">
            <dnn:label runat="server" id="lblLicenseInfoPhone" controlname="lblLicenseInfoPhoneVal" resourcekey="lblLicenseInfoPhone" helpkey="lblLicenseInfoPhone.Help" />
            <asp:Label runat="server" ID="lblLicenseInfoPhoneVal" />
        </div>

        <div class="dnnFormItem">
            <dnn:label runat="server" id="lblLicenseStartDate" controlname="lblLicenseStartDateVal" resourcekey="lblLicenseStartDate" helpkey="lblLicenseStartDate.Help" />
            <asp:Label runat="server" ID="lblLicenseStartDateVal" />
        </div>

        <div class="dnnFormItem">
            <dnn:label runat="server" id="lblLicenseEdition" controlname="lblLicenseEditionVal" resourcekey="lblLicenseEdition" helpkey="lblLicenseEdition.Help" />
            <asp:Label runat="server" ID="lblLicenseEditionVal" />
        </div>

        <h2 class="dnnFormSectionHead"><a href="#"><%=LocalizeString("UploadLicense")%></a></h2>
        <fieldset class="dnnClear">
            <div class="dnnFormItem">
                <asp:Label runat="server" ID="lblUploadLicenseInfo" resourcekey="lblUploadLicenseInfo" />
                <br /><br />
            </div>

            <div class="dnnFormItem">
                <dnn:label runat="server" id="lblUploadLicense" controlname="ctlUploadLicense" resourcekey="lblUploadLicense" helpkey="lblUploadLicense.Help" />
                <asp:FileUpload runat="server" ID="ctlUploadLicense" />
            </div>

            <br /><br />

            <ul class="dnnActions dnnClear">
                <li>
                    <asp:Button runat="server" ID="cmdUploadLicense" resourcekey="cmdUploadLicense" CssClass="dnnPrimaryAction" />
                </li>
            </ul>
        </fieldset>

        <h2 class="dnnFormSectionHead"><a href="#"><%=LocalizeString("LicenseStatement")%></a></h2>
        <fieldset class="dnnClear">
            <div class="dnnFormItem">
                <dnn:label runat="server" id="lblLicenseInfoStatement" controlname="lblLicenseInfoStatementVal" resourcekey="lblLicenseInfoStatement" helpkey="lblLicenseInfoStatement.Help" />
                <asp:Label runat="server" ID="lblLicenseInfoStatementVal" style="white-space: nowrap" />
            </div>
        </fieldset>

    </div>
</div>
